Page MenuHomePhabricator

Replace deprecated phabricator conduit api calls in phabricator.py file
Closed, ResolvedPublic

Description

This file needs migrating to use this maniphest.edit conduit api call as this maniphest.update is deprecated and could be removed at any time

https://github.com/wikimedia/labs-striker/blob/52bc0f1d92a6f5bbd4ebadc5284eb8bdeb034409/striker/phabricator.py#L297

Event Timeline

Paladox created this task.Feb 25 2017, 2:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2017, 2:19 PM
Paladox renamed this task from Update phabricator.py file to use maniphest.edit to Replace deprecated phabricator conduit api calls in phabricator.py file.Feb 27 2017, 12:52 AM

Change 364144 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker@master] Phabricator: replace maniphest.update with maniphest.edit

https://gerrit.wikimedia.org/r/364144

Restricted Application added a project: User-bd808. · View Herald TranscriptJul 10 2017, 3:54 AM

Change 364144 merged by BryanDavis:
[labs/striker@master] Phabricator: replace maniphest.update with maniphest.edit

https://gerrit.wikimedia.org/r/364144

Change 370139 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker/deploy@master] Tool account creation and more

https://gerrit.wikimedia.org/r/370139

Change 370139 merged by jenkins-bot:
[labs/striker/deploy@master] Tool account creation and more

https://gerrit.wikimedia.org/r/370139

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-08-23T16:23:46Z] <bd808@tin> Started deploy [striker/deploy@2f2dd7c]: Deploying 2f2dd7c "Tool account creation and more" (T128400, T149458, T159044, T164847, T167931, T168480, T173845)

bd808 moved this task from Backlog to Doing on the Striker board.Aug 23 2017, 5:33 PM
bd808 closed this task as Resolved.Aug 23 2017, 5:51 PM
bd808 moved this task from Doing to Done on the Striker board.Aug 24 2017, 7:29 PM